<?php

namespace App\Models;


/**
 * Class HouseCleanOrder
 * @package App\Models
 * 家居清洁订单
 */
class HouseCleanOrder extends Order
{

    function __construct() {
        parent::__construct( "house_clean_order");
        $fillable = [
            'type', // 清洁类型
            'area', // 清洁面积
            'picture1', // 图片1, 保持的是服务器上的图片地址
            'picture2', // 图片2, 保持的是服务器上的图片地址
            'picture3', // 图片3, 保持的是服务器上的图片地址
            'picture4', // 图片4, 保持的是服务器上的图片地址
            'picture5', // 图片5, 保持的是服务器上的图片地址
        ];
        parent::mergeFillable(parent::getFillable(), $fillable);
    }

    /**
     * 获取评论
     */
    public function comments()
    {
        return $this->hasMany('App\Comment');
    }
}
